Description

For areas such as Amphitheater in Matrimandir, there is a lot of detailed linework which creates no issues in civil 3D but is very

complex to create shapefiles. I spent a lot of time on trying to work it out but cannot manage complex details like a lot of steps in the

Amphitheater, etc. Easy way out-like Giulio suggested- Put all the complex detailed linework in a different layer (Call it for example-

V-BLDG-DETL------E) for each major group giving it a "line" type for shapefile. This is just for the sake of providing correct information

while keeping things simple. Another aspect to it is that we should avoid creating code for this layer so that we do not reconcile the

points and keep it where it belongs. Do we agree?

Related issues:

Related to Gisaf - Feature #6177: Add a third level for secondary minor group... Rejected 06/07/2018

Associated revisions

Revision 4f21cff9 - 06/07/2018 11:24 - Philippe May

Refs #6173: tables for layers with secondary minor groups

History

#1 - 06/07/2018 01:03 - Philippe May

- Assignee changed from Philippe May to Pavneet Kaur

Creating a new category is straightforward through the admin interface. Gisaf then creates a table for it, then allowing to import these shapefiles.

We (I and Pavneet) have created the category B999/BLDG-DTLS------E as lines, and it just worked as expected.

That said, i think we should make better use of categories and be more specific:

have lines and polygon details (such as LDTL for lines, PDTL for polygons)

use the minor group 2, so we could differentiate the different details

being able to display the details for some category only

keeping the possibility to set different styles on the map (eg. details for roofs would be displayed differently than details for a platform).

So, this would be: V-BLDG-OTLN-LDTL-E, V-BLDG-ROOF-PDTL-E, etc.

I don't fully understand: "Another aspect to it is that we should avoid creating code for this layer so that we do not reconcile the points and keep it

where it belongs".

If we don't reconcile the points used in these new layers to their new categories, then we potentially would lose track of which survey point these

shapes have been generated from. However, i understand that maintaining a list of points to reconcile would be quite difficult in practice.

So, i think it makes a good case for using the secondary minor groups: keeping it easy for people creating the shapes, while being able to trace, using

the primary minor group, the survey points points.

Eg: the points in RAW-V-BLDG-OTLN------E, which is a category used by surveyors on the ground, are used to generate all the shapes in

V-BLDG-OTLN-<anything>-E.

I would even go a bit further: instead of a generic shapefile for "details", we could have, in this case, "V-BLDG-OTLN-STEP-E" for steps,

"V-BLDG-OTLN-RAMP-E" for ramps, etc.

If you agree with his line, i can improve Gisaf with the management of secondary minor groups, starting with the "tree" of categories which would have

a third level.
#2 - 06/07/2018 09:51 - Philippe May

- Assignee changed from Pavneet Kaur to Philippe May

Just discussed with Pavneet: let's use secondary minor groups. The designer of the layer then chooses these accordingly: use the generic 'LDTL' and

'PDTL', or have specific ones like 'STEP'.

Ticket back to me: as of today, Gisaf doesn't create tables for these secondary minor groups.

#3 - 06/07/2018 12:44 - Philippe May

- Related to Feature #6177: Add a third level for secondary minor groups in the tree added

#4 - 06/07/2018 12:46 - Philippe May

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 05/02/2019 12:53 - Philippe May

I think we took a much more simple/practical approach: use a layer simply called 'line details', and tags (which are now in place, see #6582) can be

used for adding information to each of these features.
